/**
 * Creates an annotation view of a document.
 * @returns The annotation view.
 */
import { useContext } from 'react';
import { AnnotationContext } from '../../contexts/AnnotationContext';
import { Button } from 'antd';

export function DocumentAnnotationView() {
    const { annotation } = useContext(AnnotationContext);

    if (!annotation) {
        return <p>Došlo k chybě. Anotace nebyla nalezena</p>;
    }

    return (
        <div>
            <Button
                onClick={() => {
                    console.log(window.getSelection());
                }}
            >
                Test
            </Button>
            <div dangerouslySetInnerHTML={{ __html: annotation.documentText ?? '' }} />
        </div>
    );
}
